#include "sdag.h"

#include "test.decl.h"

class TestMsg : public CMessage_TestMsg
{
  public:
    int dummy;
};

class Msg : public CMessage_Msg
{
  public:
    int data;
};

class Test : public Chare
{
#include "test.sdag.h"
  public:
    int sum;
    int j[100];
    Test(TestMsg *msg) {
      __sdag_init();
      sum = 0;
    }
};
